// Mike Maxim
// Absyn for expressions. Highest level of abstraction for expressions

package edu.cmu.cs.l3.absyn;

import edu.cmu.cs.l3.general.*;
import edu.cmu.cs.l3.semant.*;

public class ASExpression extends Visitable {

    /** Construct the basics for the expression
     * @param p Position in source
     */

    public ASExpression(int p) {
	m_pos = p;
	m_classname = "ASExpression";
    }

    /** Return the position */
    public int getPosition() {
	return m_pos;
    }

    /** Convert to String form */
    public String toString() {
	return "ASExpression";
    }

    public ASTypeInfo getTypeInfo() {
        return m_typeinfo;
    }

    protected ASTypeInfo m_typeinfo = new ASTypeInfo();
    protected int m_pos;

}
